Description: Upstream changes introduced in version 2011072500-14
 This patch has been created by dpkg-source during the package build.
 Here's the last changelog entry, hopefully it gives details on why
 those changes were made:
 .
 littlebird (2011072500-14) stable; urgency=low
 .
   * removed the meta package, the -core just provices littlebird-tc
 .
 The person named in the Author field signed this changelog entry.
Author: Heiko Schlittermann <hs@schlittermann.de>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: http://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- littlebird-2011072500.orig/LittleBird/encoded/LittleBird-Test/Database/install_test_iteration_2011-06.sh
+++ littlebird-2011072500/LittleBird/encoded/LittleBird-Test/Database/install_test_iteration_2011-06.sh
@@ -2,30 +2,67 @@
 # leichte Anpassungen durch hs@schlittermann.de
 # Aufruf wie immer, dann werden die bisherigen Angaben *root* und das bisherige
 # Passwort verwendet. Oder
-# install_test_iteration_2011-06.sh DB_HOST DB_NAME DB_ADMIN DB_ADMINPASS DB_USER DB_USERPASS
+# install_test_iteration_2011-06.sh DB_HOST DB_NAME DB_ADMINUSER DB_ADMINPASS DB_USER DB_PASS
 
 # ACHTUNG: DIE DATENBANK WIRD KOMPLETT GEERDET!
 
 #DB Update Dev - Test,
 #Iteration Mai, Juni
 
-#Test Stand vor der Iteration
-DB_HOST=${1-localhost}; shift
-DB_NAME=${1-trustcenter_history_test}; shift
-
-DB_ADMIN=${1-root}; shift
-DB_ADMINPASS=${1-Pa55w0rd}; shift
+fix_db_name()	 { sed "s/trustcenter_history_test/$DB_NAME/g"; }
+mysql()		 { fix_db_name | command mysql "$@" -h"$DB_HOST" -D"$DB_NAME" --default-character-set=utf8; }
+mysql_as_admin() { echo "as admin: $1"; <"$DIR/$1" mysql -u "$DB_ADMINUSER" -p"$DB_ADMINPASS"; }
+mysql_as_user()  { echo "as user:  $1"; <"$DIR/$1" mysql -u "$DB_USER"  -p"$DB_PASS"; }
 
-DB_USER=${1-$DB_ADMIN}; shift
-DB_USERPASS=${1-$DB_ADMINPASS}; shift
+#Test Stand vor der Iteration
+DIR=$(dirname $0)
+DB_HOST=localhost
+DB_NAME=trustcenter_history_test
+DB_ADMINUSER=root
+DB_ADMINPASS=Pa55w0rd
+DB_USER="$DB_ADMINUSER"
+DB_PASS="$DB_ADMINPASS"
+REPLACING=
+
+tmp=$(getopt --name $0 --options "" \
+    --long help,replacing:,host:,db:,adminuser:,adminpass:,user:,pass: \
+    -- "$@") || exit 2
+eval set -- "$tmp"
+echo "$@"
+while true; do
+    opt="$1"; shift
+    case "$opt" in
+	--replacing)  REPLACING="$1"; shift;;
+	--adminuser)  DB_ADMINUSER="$1"; shift;;
+	--adminpass)  DB_ADMINPASS="$1"; shift;;
+	--user)	    DB_USER="$1"; shift;;
+	--pass)	    DB_PASS="$1"; shift;;
+	--host)	    DB_HOST="$1"; shift;;
+	--db)	    DB_NAME="$1"; shift;;
+	--help)	    cat <<_HELP
+Usage: $0 [options]
+       Options are
+       --host=s        The address of the database host ($DB_HOST).
+       --db=s          The name of the database to be used ($DB_NAME).
+       --adminuser=s   The name of the SUPER user on the db server ($DB_ADMINUSER).
+       --adminpass=s   The password for the user above ($DB_ADMINPASS).
+       --user=s        The name of the user for NORMAL db operations ($DB_USER).
+       --pass=s        The password for the user above ($DB_PASS).
+       --replacing=s   The version of the package being replaced ($REPLACING).
+_HELP
+		    exit;;
+	*)	    echo "$0: bad usage" >&2; exit 2;;
+    esac
+done
+
+# for v in ${!DB_*}; do echo $v ${!v}; done
+
+if test -n "$REPLACING"; then
+    echo "This is an update, I'll do noting!" >&2
+    exit 0
+fi
 
-#echo "$DB_ADMIN $DB_ADMINPASS $DB_NAME"
-#echo "$DB_USER $DB_USERPASS $DB_NAME"
-
-fix_db_name() { sed "s/trustcenter_history_test/$DB_NAME/g"; }
-mysql() { fix_db_name | command mysql "$@" -h"$DB_HOST" -D"$DB_NAME" --default-character-set=utf8; }
-mysql_as_admin() { echo "as admin: $1"; <"$1" mysql -u "$DB_ADMIN" -p"$DB_ADMINPASS"; }
-mysql_as_user()  { echo "as user:  $1"; <"$1" mysql -u "$DB_USER"  -p"$DB_USERPASS"; }
+# The filenames here get the name of the scripts directory prepended!
 
 mysql_as_admin install_dev_tc_2011-04-30_023.sql
 mysql_as_admin update_install_dev_tc_2011-04-30_023.sql
